> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Explicitly reveal a workspace credential



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/credentials/reveal
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/credentials/reveal:
    post:
      summary: Explicitly reveal a workspace credential
      operationId: revealWorkspaceCredential
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialLocator'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevealedCredential'
      security:
        - cookieAuth: []
components:
  schemas:
    CredentialLocator:
      type: object
      properties:
        connector:
          type: string
          pattern: ^[a-z0-9-]{2,40}$
        key:
          type: string
          pattern: ^[A-Z][A-Z0-9_]{1,80}$
      required:
        - connector
        - key
      additionalProperties: false
    RevealedCredential:
      type: object
      properties:
        workspace:
          type: string
        connector:
          type: string
          pattern: ^[a-z0-9-]{2,40}$
        key:
          type: string
          pattern: ^[A-Z][A-Z0-9_]{1,80}$
        value:
          type: string
          minLength: 1
          maxLength: 16384
      required:
        - workspace
        - connector
        - key
        - value
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````